from sqlalchemy.ext.declarative import declarative_base
from sqlalchemy.orm import sessionmaker
from sqlalchemy import create_engine

Base = declarative_base()
SQL_ALCHEMY_DATABASE_URL_MSSQL = f'mssql+pyodbc://sa:159357@Sanctuary/Atol?driver=SQL+Server'
engine = create_engine(
    SQL_ALCHEMY_DATABASE_URL_MSSQL, connect_args={'check_same_thread': False})
SessionLocal = sessionmaker(autocommit=False, autoflush=False, bind=engine)


def get_db():
    db = SessionLocal()
    try:
        yield db
    finally:
        db.close()
