import kv.schemas as schemas
import kv.crud as crud
from kv.database import get_db
from sqlalchemy.orm import Session
from fastapi import APIRouter, Depends
from typing import List
router = APIRouter()

"""post"""


@router.post('/make_storno')
def make_storno(request: schemas.StronoInit, db: Session = Depends(get_db)):
    return crud.TurnOverViewSet.make_storno(db, request)


@router.post('/get_to_archive')
def get_to_archive(request: schemas.ArchiveInit, db: Session = Depends(get_db)):
    return crud.TurnOverViewSet.get_to_archive(db, request)
